<?php
require_once(dirname(__FILE__) . '/../../includes/classes/class.addon.php');
class ADDON_cupomnews extends ISC_ADDON
{
	public function __construct()
	{
		parent::__construct();
		$this->SetId('addon_cupomnews');
		$this->SetName('Cupom Newsletter');
		$this->SetImage('icon.gif');
		$this->SetHelpText('Sistema de Envio Automatico de Cupons de Desconto para Clientes que se escreverem em sua newsletter.<br>
		Para configurar o Cron/Agendador de Tarefa use os dados abaixo.<br>1 - Periodicidade use a cada 2 Horas.<br>2 - Url a ser Execultada sera '.GetConfig("ShopPath").'/modificacoes/croncupom_news.php<br>3 - Com os dados acima e só configurar seu Cpanel, Plesk ou outro painel.<br>Obs: O sistema envia cupons de desconto ao email do cliente, ponha os dados abaixo de acordo com o que desejar.');
	}

	public function SetCustomVars()
	{

		$this->_variables['des'] = array(
			'type' => 'text',
			'name' => 'Desconto %',
			'default' => '0.00',
			'required' => true
		);

		$this->_variables['minimo'] = array(
			'type' => 'text',
			'name' => 'Valor minimo do pedido',
			'default' => '0.00',
			'required' => true
		);
		
		$this->_variables['validade'] = array(
			'type' => 'text',
			'name' => 'Validade em dias',
			'default' => '120',
			'required' => true
		);
			   
	}
	public function Init()
	{
	$sql = "CREATE TABLE IF NOT EXISTS `cupomnews` (
	  `idNc` int(10) NOT NULL AUTO_INCREMENT,
	  `idS` int(10) NOT NULL,
	  PRIMARY KEY (`idNc`)
	) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;";
	$GLOBALS['ISC_CLASS_DB']->Query($sql);
	}
	public function EntryPoint()
	{
	}
	public function ToolsMenuExample()
	{
	}
}
